<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
    <link rel="stylesheet" href="./assets/fontawesome/css/all.min.css">
    <link rel="stylesheet" href="assets/bootstrap/css/bootstrap.min.css">
    <script src="assets/bootstrap/js/bootstrap.bundle.min.js"></script>
    <link rel="stylesheet" href="assets/styles.css">
    <script src="assets/script.js" defer></script>
</head>
<body>
<div class="container-fluid">
    <nav class="navbar navbar-light bg-light">
        <div class="container-fluid">
            <i class="fa fa-solid fa-meteor"></i>
            <span class="navbar-brand mb-0 h1">JS Fundamentals</span>
        </div>
    </nav>
    <h1>My Profile</h1>
    <hr />
    <div class="row">
        <div class="col-4">
            <img src="assets/male_avatar.png" class="img-thumbnail" alt="user avatar">
        </div>
        <div class="col-8">
            <h3 id="profileName">Alfredo Watts</h3>
            <ul class="contactInfo fs-4">
                <li id="userAddress">405 Phillis Blvd.</li>
                <li id="userCity">Chicago, IL 60644</li>
                <li id="userPhone">510-555-1234</li>
                <li id="userEmail">alfredo@example.com</li>
            </ul>
            <div class="d-grid gap-2">
                <button class="btn-primary btn-lg" data-bs-toggle="collapse" data-bs-target="#profileForm">Update Profile</button>
            </div>
            <div class="alert-success p-3 m-3 fs-5 visually-hidden" id="message">Profile updated.</div>
        </div>
    </div>

    <div class="row justify-content-center g-3 py-5">
        <div class="col-8 collapse" id="profileForm">
            <form class="row py-5 formStyle">
                <div class="col-12 mb-3">
                    <label for="addressInput" class="form-label">Address</label>
                    <input type="text" class="form-control" id="addressInput" placeholder="Address">
                </div>
                <div class="col-6 mb-3">
                    <label for="cityInput" class="form-label">City</label>
                    <input type="text" class="form-control" id="cityInput" placeholder="City">
                </div>
                <div class="col-2 mb-3">
                    <label for="stateInput" class="form-label">State</label>
                    <select class="form-select" id="stateInput" aria-label="State selection">
                        <option value="IL" selected>IL</option>
                        <option value="CA">CA</option>
                        <option value="NY">NY</option>
                    </select>
                </div>
                <div class="col-4 mb-3">
                    <label for="zipInput" class="form-label">Zipcode</label>
                    <input type="text" class="form-control" id="zipInput" placeholder="Zip">
                </div>
                <div class="mb-3">
                    <label for="emailInput" class="form-label">New Email</label>
                    <input type="email" class="form-control" id="emailInput" placeholder="Your email">
                </div>
                <div class="mb-3">
                    <label for="phoneInput" class="form-label">New Phone</label>
                    <input type="tel" class="form-control" id="phoneInput" />
                </div>
                <div class="mb-3 d-grid gap-2">
                    <input type="button" id="formButton" class="btn btn-info btn-lg text-light" onclick="updateProfile()" value="Submit" />
                </div>

            </form>
        </div>
    </div>
    <script>

    </script>
</div>
</body>
</html>
